MozillaZine

Dev : Extensions : Extension does not install

From MozillaZine Knowledge Base

(Difference between revisions)
Revision as of 15:02, 11 September 2004
Asqueella (Talk | contribs)

<-- Previous diff
Revision as of 15:07, 11 September 2004
Asqueella (Talk | contribs)
(add bug no; formatting)
Next diff -->
Line 1: Line 1:
==Introduction== ==Introduction==
-This page describes possible reasons for extension installation problems. Intended audience is ''extension developers'', not end-users. If you have problems with installing extensions in general, you should search somewhere else.+This page describes possible reasons for extension installation problems. Intended audience is '''extension developers''', not end-users. If you have problems with installing extensions in general, you should search somewhere else.
If you are extension developer, you can't get your (recently packaged) extension installed and suspect the problem is with your extension, this is the right page. If you are extension developer, you can't get your (recently packaged) extension installed and suspect the problem is with your extension, this is the right page.
Line 22: Line 22:
Another known problem is forgotten slash after directory name in &lt;em:package&gt; &lt;em:locale&gt; or &lt;em:skin&gt;. That is when you have <tt>&lt;em:package&gt;content/myext&lt;/em:package&gt;</tt> instead of &lt;em:package&gt;content/myext/&lt;/em:package&gt;, the Extension manager will not install the extension.</li> Another known problem is forgotten slash after directory name in &lt;em:package&gt; &lt;em:locale&gt; or &lt;em:skin&gt;. That is when you have <tt>&lt;em:package&gt;content/myext&lt;/em:package&gt;</tt> instead of &lt;em:package&gt;content/myext/&lt;/em:package&gt;, the Extension manager will not install the extension.</li>
-<li>''?? probably fixed by 0.10, iirc, that was a problem around 0.9 release''+<li><b>Bad target application</b>.
- +''?? probably fixed by 0.10, iirc, that was a problem around 0.9 release''
-<b>Bad target application</b>.</li>+</li>
</ul> </ul>
-Another possible cause is bug XXX. Triggers when you have components in myext.xpi/components/ that overwrite existing files in components/ (often when upgrading).+Another possible cause is [http://bugzilla.mozilla.org/show_bug.cgi?id=252543 bug 252543]. Triggers when you have components in myext.xpi/components/ that overwrite existing files in components/ (often when upgrading).
The bug is fixed for 0.10, possible workaround for 0.9.x is use new names for components/ for each new release. The bug is fixed for 0.10, possible workaround for 0.9.x is use new names for components/ for each new release.
===Other=== ===Other===
Other possible causes are listed here: Other possible causes are listed here:
-*''Not ZIP archive''. You might have packed your extension in a fancy format that the EM cannot understand. You should use simple ZIP format for both XPI and JAR files.+*'''Not ZIP archive'''. You might have packed your extension in a fancy format that the EM cannot understand. You should use simple ZIP format for both XPI and JAR files.
-*''Bad contents.rdf''.+*'''Bad contents.rdf'''.

Revision as of 15:07, 11 September 2004

Contents

Introduction

This page describes possible reasons for extension installation problems. Intended audience is extension developers, not end-users. If you have problems with installing extensions in general, you should search somewhere else.

If you are extension developer, you can't get your (recently packaged) extension installed and suspect the problem is with your extension, this is the right page.

Possible causes

This item will be installed...

This problem is almost always caused by mistakes in your install.rdf. Take a look at that link to see an example of good install.rdf.

Some known causes include:

  • Malformed XML/RDF in install.rdf.. Make sure your install.rdf is valid XML by renaming it to install.xml and opening in Firefox. If it doesn't show any XML errors, you're ok. A good idea is to make sure your install.rdf is well-formed RDF too.
  • Wrong information in install.rdf. Triple-check your install.rdf. The following mistakes are likely to cause the "will be installed" bug:
      <li>Typos in <em:file> tag. For example your jar file is named differently or placed in wrong directory. You may also have wrong directory structure. Another known problem is forgotten slash after directory name in <em:package> <em:locale> or <em:skin>. That is when you have <em:package>content/myext</em:package> instead of <em:package>content/myext/</em:package>, the Extension manager will not install the extension.</li> <li>Bad target application. ?? probably fixed by 0.10, iirc, that was a problem around 0.9 release </li>

    Another possible cause is bug 252543. Triggers when you have components in myext.xpi/components/ that overwrite existing files in components/ (often when upgrading). The bug is fixed for 0.10, possible workaround for 0.9.x is use new names for components/ for each new release.

    Other

    Other possible causes are listed here:

    • Not ZIP archive. You might have packed your extension in a fancy format that the EM cannot understand. You should use simple ZIP format for both XPI and JAR files.
    • Bad contents.rdf.